--[[
Fuckin how to do what and where is guide ty

mistress aaa for burden
make counter for fish
make for run on cast
make for track aggro
make for track debuffs
make for track HP and fishie loss
make for burden clear track because visual not work
make for ams for double burden for bugs

Delicious Butterfish - 239375
Burden of Pain - 230201
]]--

--DISPLAY
function()
	local burden = "Burden of Pain"
	local hunger = "Consuming Hunger"
	local fish = "Delicious Bufferfish"
	if UnitName("target") == "Mistress Sassz'ine" then
		print("I THINK ITS WORKING")
		local bosshp = math.floor(UnitHealth("target") / UnitHealthMax("target")) * 100
		local hptofifteen = bosshp - aura_env.hpthreshold[1]
		if hptofifteen < 0 then
			table.remove(aura_env.hpthreshold, 1)
			hptofifteen = bosshp - aura_env.hpthreshold[1]
		end
		local fish = 0
		local out = ""
		for i = 1, GetNumGroupMembers() do
			if UnitAura("raid" .. i, fish) then
				fish = fish + 1
			end
		end
		if UnitDetailedThreatSituation("player", "target") then
			local whotank = UnitName("player")
			elseif UnitDetailedThreatSituation(aura_env.tank, "target") then
				local whotank = aura_env.tank
		end
		if UnitCastingInfo("target") == burden then --If she's casting burden then
			local mydebuff = UnitAura("player", burden)
			local theirdebuff = UnitAura(aura_env.tank, burden)
			if mydebuff and theirdebuff then --If both tanks have burden
				out = out .. "Buggerino - AMS or pray to the Lord" .. "\n"
			end
			if whotank == aura_env.tank then --If she's casting it on the other tank
				out = out .. "Taunt after cast!" .. "\n"
				elseif whotank == UnitName("player") then --If it's being cast on you
					out = out .. "Run away from the boss!" .. "\n"
			end
		end
		print(hptofifteen)
		if hptofifteen <= 2 then --If it's time to clear fish and fish do exist
			out = "Take a hit to clear fish!" .. "\n"
		end
		if UnitDebuff("player", hunger) then
			out = out .. "RUN INTO THE STUN BEFORE YOU KILL EVERYONE YOU LUNATIC" .. "\n"
		end
		return out
	end
end

--PLAYER_REGEN_DISABLED
function() --Find tank
	aura_env.hpthreshold = {85, 70, 55, 40, 25, 10}
	for i = 1, GetNumGroupMembers() do
		if UnitGroupRolesAssigned("raid" .. i) == "TANK" and UnitName("raid" .. i) ~= UnitName("player") then
			aura_env.tank = UnitName("raid" .. i)
			print("Found tank! " .. aura_env.tank)
			break
		end
	end
end

--INIT
aura_env.tank = ""
aura_env.hpthreshold = {}